#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

const int MAXN=2000000, MAXA=1000000000;

vector<int> subtask2(vector<int> a)
{
    int n=a.size();
    vector<int> ans;
    for(int i=1; i<n/2; i++)
    {
        ans.push_back(i-1);
    }
    ans.push_back(n-1);
    for(int i=ans.size(); i<=n-1; i++)
    {
        ans.push_back(i-1);
    }
    return ans;
}

vector<int> solve(vector<int> A)
{
    if(A.size()==1)
    {
        return {A[0]};
    }

    return subtask2(A);
}

